[OpenWrt-Devel] Adding support for 6LoWPAN over Bluetooth Low Energy in kernel 3.18.
diff mbox

Message ID AB80DA35A7B64E4E98291794926897D95BA5D425@mbx04.nvlsi.no
State Accepted
Headers show

Commit Message

Duda, Lukasz Jan. 21, 2015, 12:53 p.m. UTC
Adding support 6LoWPAN over Bluetooth Low Energy in kernel 3.18.
Creating new bluetooth_6lowpan group with COFNIG_6LOWPAN and CONFIG_BT_6LOWPAN.
Adding kernel object dependencies for 6LoWPAN over Bluetooth Low Energy. 

Signed-off-by: Lukasz Duda <lukasz.duda at nordicsemi.no>

---

---

Comments

John Crispin Jan. 22, 2015, 8:20 a.m. UTC | #1
This patch was not tested prior to sending it ... see inline


On 21/01/2015 13:53, Duda, Lukasz wrote:
> Adding support 6LoWPAN over Bluetooth Low Energy in kernel 3.18.
> Creating new bluetooth_6lowpan group with COFNIG_6LOWPAN and CONFIG_BT_6LOWPAN.
> Adding kernel object dependencies for 6LoWPAN over Bluetooth Low Energy. 
> 
> Signed-off-by: Lukasz Duda <lukasz.duda at nordicsemi.no>
> 
> ---
> 
> Index: package/kernel/linux/modules/other.mk
> ===================================================================
> --- package/kernel/linux/modules/other.mk	(revision 44059)
> +++ package/kernel/linux/modules/other.mk	(working copy)
> @@ -70,6 +70,26 @@
>  $(eval $(call KernelPackage,bluetooth))
>  
>  
> +define KernelPackage/bluetooth_6lowpan
> +  SUBMENU:=$(OTHER_MENU)
> +  TITLE:=Bluetooth 6LoWPAN support
> +  DEPENDS:=+kmod-bluetooth @!LINUX_3_3 @!LINUX_3_8 @!LINUX_3_10 
> +@!LINUX_3_13 @!LINUX_3_14
> +  KCONFIG:= \
> +  CONFIG_6LOWPAN=m \
> +  CONFIG_BT_6LOWPAN=m
> +  FILES:= \
> +	$(LINUX_DIR)/net/bluetooth/bluetooth_6lowpan.ko \
> +	$(LINUX_DIR)/net/6lowpan/6lowpan.ko
> +	AUTOLOAD:=$(call AutoProbe,bluetooth)
> +endef
> +
> +define KernelPackage/bluetooth_6lowpan/description
> + Kernel support for 6LoWPAN over Bluetooth Low Energy devices endef
> +

endef is missing, please test the patches that you send






> +$(eval $(call KernelPackage,bluetooth_6lowpan))
> +
> +
>  define KernelPackage/bluetooth-hci-h4p
>    SUBMENU:=$(OTHER_MENU)
>    TITLE:=HCI driver with H4 Nokia extensions
> ---
> _______________________________________________
> openwrt-devel mailing list
> openwrt-devel@lists.openwrt.org
> https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-devel
>
John Crispin Jan. 22, 2015, 8:22 a.m. UTC | #2
On 21/01/2015 13:53, Duda, Lukasz wrote:
> +  DEPENDS:=+kmod-bluetooth @!LINUX_3_3 @!LINUX_3_8 @!LINUX_3_10 
> +@!LINUX_3_13 @!LINUX_3_14


this is also wrong, @!(LINUX_3_3||LINUX_3_8||......)) is the correct syntax.

please resend a fixed version

Patch
diff mbox

Index: package/kernel/linux/modules/other.mk
===================================================================
--- package/kernel/linux/modules/other.mk	(revision 44059)
+++ package/kernel/linux/modules/other.mk	(working copy)
@@ -70,6 +70,26 @@ 
 $(eval $(call KernelPackage,bluetooth))
 
 
+define KernelPackage/bluetooth_6lowpan
+  SUBMENU:=$(OTHER_MENU)
+  TITLE:=Bluetooth 6LoWPAN support
+  DEPENDS:=+kmod-bluetooth @!LINUX_3_3 @!LINUX_3_8 @!LINUX_3_10 
+@!LINUX_3_13 @!LINUX_3_14
+  KCONFIG:= \
+  CONFIG_6LOWPAN=m \
+  CONFIG_BT_6LOWPAN=m
+  FILES:= \
+	$(LINUX_DIR)/net/bluetooth/bluetooth_6lowpan.ko \
+	$(LINUX_DIR)/net/6lowpan/6lowpan.ko
+	AUTOLOAD:=$(call AutoProbe,bluetooth)
+endef
+
+define KernelPackage/bluetooth_6lowpan/description
+ Kernel support for 6LoWPAN over Bluetooth Low Energy devices endef
+
+$(eval $(call KernelPackage,bluetooth_6lowpan))
+
+
 define KernelPackage/bluetooth-hci-h4p
   SUBMENU:=$(OTHER_MENU)
   TITLE:=HCI driver with H4 Nokia extensions